# TdApi.PushMessageContentAnimation (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PushMessageContentAnimation

Package it.tdlight.jni

# Class TdApi.PushMessageContentAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentAnimation

Enclosing class:
  TdApi

    public static class TdApi.PushMessageContentAnimation
    extends TdApi.PushMessageContent

An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.Animation` | `animation` | Message content; may be null.
`String` | `caption` | Animation caption.
`static int` | `CONSTRUCTOR` |
`boolean` | `isPinned` | True, if the message is a pinned message with the specified content.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PushMessageContentAnimation()` | An animation message (GIF-style).
`PushMessageContentAnimation​(TdApi.Animation animation, String caption, boolean isPinned)` | An animation message (GIF-style).
`PushMessageContentAnimation​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.Animation animation
Message content; may be null.

### caption

public String caption
Animation caption.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PushMessageContentAnimation

public PushMessageContentAnimation()
An animation message (GIF-style).

### PushMessageContentAnimation

public PushMessageContentAnimation​(TdApi.Animation animation, String caption, boolean isPinned)
An animation message (GIF-style).

Parameters:
  `animation` - Animation Message content; may be null.
  `caption` - String Animation caption.
  `isPinned` - boolean True, if the message is a pinned message with the specified content.

### PushMessageContentAnimation

public PushMessageContentAnimation​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`